USN-4165-2

See a problem?
Source
https://ubuntu.com/security/notices/USN-4165-2
Import Source
https://github.com/canonical/ubuntu-security-notices/blob/main/osv/USN-4165-2.json
JSON Data
https://api.osv.dev/v1/vulns/USN-4165-2
Published
2019-11-05T23:54:39.428271Z
Modified
2019-11-05T23:54:39.428271Z
Summary
firefox regressions
Details

USN-4165-1 fixed vulnerabilities in Firefox. The update introduced various minor regressions. This update fixes the problems.

We apologize for the inconvenience.

Original advisory details:

Multiple security issues were discovered in Firefox. If a user were tricked in to opening a specially crafted website, an attacker could potentially exploit these to cause a denial of service, bypass security restrictions, bypass same-origin restrictions, conduct cross-site scripting (XSS) attacks, bypass content security policy (CSP) protections, or execute arbitrary code.

References

Affected packages

Ubuntu:18.04:LTS / firefox

Package

Name
firefox

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
70.0.1+build1-0ubuntu0.18.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "firefox-locale-sl": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-nl": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-kn": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-gl": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-fy": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-kk": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-km": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-or": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-az": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-lt": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-hy": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-eo": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-sv": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-uk": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-sr": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-is": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-ca": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-ne": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-ga": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-it": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-ja": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-lg": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-ms": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-zh-hans": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-ia": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-ko": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-hr": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-mai": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-nb": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-mozsymbols": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-vi": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-dev": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-he": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-sw": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-el": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-oc": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-xh": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-nn": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-geckodriver": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-ar": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-cs": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-gn": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-hsb": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-zu": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-my": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-ro": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-csb": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-nso": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-af": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-sk": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-si": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-cy": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-fa": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-cak": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-sq": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-en": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-tr": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-br": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-et": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-ast": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-th": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-da": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-fi": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-ku": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-mn": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-ru": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-mk": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-bg": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-hu": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-gu": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-bn": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-kab": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-ml": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-an": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-be": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-eu": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-fr": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-pa": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-as": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-ta": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-pl": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-bs": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-te": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-lv": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-ka": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-id": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-gd": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-uz": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-hi": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-zh-hant": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-es": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-de": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-mr": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-pt": "70.0.1+build1-0ubuntu0.18.04.1",
            "firefox-locale-ur": "70.0.1+build1-0ubuntu0.18.04.1"
        }
    ]
}

Ubuntu:16.04:LTS / firefox

Package

Name
firefox

Affected ranges

Type
ECOSYSTEM
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
70.0.1+build1-0ubuntu0.16.04.1

Ecosystem specific

{
    "availability": "No subscription needed",
    "binaries": [
        {
            "firefox-locale-sl": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-nl": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-kn": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-gl": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-fy": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-kk": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-km": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-or": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-az": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-lt": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-hy": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-eo": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-sv": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-uk": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-sr": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-is": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-ca": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-ne": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-ga": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-it": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-ja": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-lg": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-ms": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-zh-hans": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-ia": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-ko": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-hr": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-mai": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-nb": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-mozsymbols": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-vi": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-dev": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-he": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-sw": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-el": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-oc": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-xh": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-nn": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-geckodriver": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-ar": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-cs": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-gn": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-hsb": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-zu": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-my": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-ro": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-csb": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-nso": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-af": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-sk": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-si": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-cy": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-fa": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-cak": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-sq": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-en": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-tr": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-br": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-et": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-ast": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-th": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-da": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-fi": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-ku": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-mn": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-ru": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-mk": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-bg": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-hu": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-gu": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-bn": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-kab": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-ml": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-an": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-be": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-eu": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-fr": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-pa": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-as": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-ta": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-pl": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-bs": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-te": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-lv": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-ka": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-id": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-gd": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-uz": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-hi": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-zh-hant": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-es": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-de": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-mr": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-pt": "70.0.1+build1-0ubuntu0.16.04.1",
            "firefox-locale-ur": "70.0.1+build1-0ubuntu0.16.04.1"
        }
    ]
}